Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Tue, 06 Jan 2009 14:37:13 +0100

> No, I only said that it shouldn't *set* the value in
 > initial-frame-alist.  Of course, it needs to remove any previous setting
 > in order for the setting in default-frame-alist not to be overridden.

To summarize, assigning parameters for the initial frame takes values in
increasing order of priority from

(1) `frame-initial-frame-alist' which has all the resource and command
     line settings incorporated as well as everything that has been done
     via (modify-frame-parameters nil ...) while reading .emacs,

(2) `default-frame-alist' which merges all implicit `tool-bar-mode',
     `scroll-bar-mode', ... with explicit (setq default-frame-alist ...),
     `modify-all-frames-parameters', ... assignments, and

(3) `initial-frame-alist' which may contain only entries obtained via
     (setq initial-frame-alist ...) since `modify-all-frames-parameters'
     does not operate on that list.

or am I missing something?

martin